document.addEventListener("DOMContentLoaded", function () {
    var starRating = document.querySelectorAll(".star-rating .fa-star");

    function setRatingStar() {
        starRating.forEach(function (star) {
            var ratingValue = parseInt(star.parentElement.querySelector("input.rating-value").value, 10);
            var starRating = parseInt(star.dataset.rating, 10);

            if (ratingValue >= starRating) {
                star.classList.add("checked");
            } else {
                star.classList.remove("checked");
            }
        });
    }

    starRating.forEach(function (star) {
        star.addEventListener("click", function () {
            var ratingInput = star.parentElement.querySelector("input.rating-value");
            ratingInput.value = star.dataset.rating;
            setRatingStar();
        });
    });

    setRatingStar();
});
